
Foreman - Feature #24040

Move the search box in Hardware Models to a React component

06/22/2018 07:12 AM - boaz shust

Status: Closed   

Priority: Normal   

Assignee:    

Category: Search   

Target version: 1.20.0   

Difficulty: medium Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5771

  

Description

As part of moving the Hardware Models page into a React page, the search box has to be moved to React.

Please read more about this here: https://community.theforeman.org/t/move-hardware-model-page-to-react/10070

To accomplish this task:

1. Replace auto_complete_search with pf-react’s TypeAhead when displaying Hardware Models

2. Wire it to Redux

3. Create actions

Related issues:

Related to Foreman - Feature #24227: Add hosts_count, can_edit/delete/create ... Closed

Related to Foreman - Feature #24475: Add EmptyState to React components Closed

Related to Foreman - Bug #25189: New searching functionality does not allow a... Resolved

Related to Foreman - Bug #25198: SearchBar results keyboard arrows navigation... Closed

Related to foreman-tasks - Bug #25427: "Request failed with status code 404" ... Closed

Related to Foreman - Bug #25976: bookmarks and autocompletion don't work for ... Closed

Related to Foreman - Bug #28182: Fact search bar broken and resets to only se... Closed

Associated revisions

Revision 184f8d5c - 10/07/2018 01:18 PM - Ron Lavi

Fixes #24040 - Move the search box to React

History

#1 - 06/22/2018 07:12 AM - boaz shust

- Tracker changed from Bug to Feature

#2 - 07/16/2018 02:52 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5771 added

#3 - 07/30/2018 11:33 AM - boaz shust

- Related to Feature #24227: Add hosts_count, can_edit/delete/create in Models API response added

#4 - 07/30/2018 11:37 AM - boaz shust

- Related to Feature #24475: Add EmptyState to React components added

#5 - 08/16/2018 09:00 AM - The Foreman Bot

- Status changed from New to Ready For Testing
#6 - 10/07/2018 01:19 PM - Ohad Levy

- Category set to Search

- Assignee deleted (boaz shust)

- Target version set to 1.20.0

- Triaged set to No

- Fixed in Releases 1.20.0 added

#7 - 10/07/2018 02:02 PM - Ron Lavi

- Status changed from Ready For Testing to Closed

Applied in changeset 184f8d5ce23cfe208a696535bcea346074d8600a.

#8 - 10/12/2018 11:55 AM - Marek Hulán

- Related to Bug #25189: New searching functionality does not allow arrow keys navigation added

#9 - 10/15/2018 09:00 AM - Tomer Brisker

- Related to Bug #25198: SearchBar results keyboard arrows navigation doesn't work properly added

#10 - 02/04/2019 10:00 AM - Ivan Necas

- Related to Bug #25427: "Request failed with status code 404" error on Tasks page added

#11 - 02/04/2019 10:26 AM - Ivan Necas

- Related to Bug #25976: bookmarks and autocompletion don't work for nested controller added

#12 - 11/01/2019 02:56 PM - Marek Hulán

- Related to Bug #28182: Fact search bar broken and resets to only searching hostname added
